LogoRecal
Rest apiEndpoints

Get Event

GET
/v1/users/{userId}/calendar/events/{provider}/{calendarId}/{eventId}

Get an event for a user for a specific calendar and provider

AuthorizationBearer <token>

Recal API token

In: header

Path Parameters

calendarId*string
eventId*string
provider*unknown

Value in

  • "google"
  • "microsoft"
userId*string
Match^[A-Za-z0-9][A-Za-z0-9._-]{2,127}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/users/user_123/calendar/events/google/string/string"
{  "data": {    "attendees": [      {        "email": "string",        "original": null,        "self": true      }    ],    "calendarId": "string",    "id": "string",    "original": null,    "description": "string",    "end": "2019-08-24T14:15:22Z",    "location": "string",    "metaId": "string",    "start": "2019-08-24T14:15:22Z",    "subject": "string"  }}